
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-3
%global meadalpha .Final_redhat_3
%global meadrel .1
%global serial 11
%global namedversionrel redhat-3

# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%bcond_without mead

%global alternativespriority 030100
%global apiname ejb
%global apiversion 3.1
%global apiversionu 3_1
%global apigroupid javax.ejb
%global apiartifactid %{apiname}-api

%define section free

%define maven_version 1.0.2.Final-redhat-3

Name:           jboss-%{apiname}-api_%{apiversion}_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        EJB %{apiversion} API
License:        LGPLv2+
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}
Group:          Development/Libraries/Java

%if %with mead
Source100: jboss-ejb-api_3.1_spec-1.0.2.Final-redhat-3-scm-sources.zip
Source102: jboss-ejb-api_3.1_spec-1.0.2.Final-redhat-3.pom
Source103: jboss-ejb-api_3.1_spec-1.0.2.Final-redhat-3.jar
Source104: jboss-ejb-api_3.1_spec-1.0.2.Final-redhat-3-javadoc.jar
Source105: jboss-ejb-api_3.1_spec-1.0.2.Final-redhat-3-project-sources.tar.gz
Source106: jboss-ejb-api_3.1_spec-1.0.2.Final-redhat-3-sources.jar
%endif

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-ejb-api_3.1_spec-1.0.0.Final && tar cjf jboss-ejb-api_3.1_spec-1.0.0.Final.tar.bz2 jboss-ejb-api_3.1_spec-1.0.0.Final
# Exported revision 110833.
#Source0:        jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.tar.bz2
#Source1:        jboss-%{apiname}-api_%{apiversion}_spec-settings.xml
#Source2:        jboss-%{apiname}-api_%{apiversion}_spec-jpp-depmap.xml
#Source3:        ejb-api-3.1.pom
#Patch0:         jboss-%{apiname}-api_%{apiversion}_spec-pom.patch
Provides:       %{apiname}_%{apiversionu}_api
Provides:       %{apiname}_api = 0:%{apiversion}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

Requires:       jboss-transaction-api_1.1_spec
Requires:       jboss-jaxrpc-api_1.1_spec
BuildRequires:  unzip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java EJB 3.1 %{apiversion} API classes.

%if 0
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%if %without mead
%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires:       %{name}-javadoc = %{epoch}:%{version}-%{release}

%description manual
%{summary}.
%endif

%prep
%if %without mead
%setup -q -n jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}
%patch0 -p1 -b .sav0

%{__cp} -p %{SOURCE1} settings.xml
%{__sed} -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml
%{__sed} -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
%{__sed} -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml

%{__mkdir} external_repo
%{__ln_s} %{_javadir} external_repo/JPP
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
export M2_SETTINGS=$(pwd)/settings.xml
%{_bindir}/mvn-jpp \
        -e \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -DaltDeploymentRepository=oss-releases::default::file:maven2-brew \
        javadoc:javadoc javadoc:jar source:jar deploy site
%endif

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/

%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir}/ && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# jar alternatives
/bin/touch %{buildroot}%{_javadir}/%{apiname}_api.jar
/bin/touch %{buildroot}%{_javadir}/%{apiname}_%{apiversionu}_api.jar

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%if %without mead
%{__cp} -p org/jboss/spec/javax/xml/rpc/jboss-%{apiname}-api_%{apiversion}_spec/%{namedversion}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%endif

# pom alternatives
/bin/touch %{buildroot}%{_datadir}/maven2/poms/JPP-%{apiname}_%{apiversionu}_api.pom
/bin/touch %{buildroot}%{_datadir}/maven2/poms/JPP-%{apiname}_api.pom

%if %without mead
popd
%endif

# depmaps
%add_to_maven_depmap org.jboss.spec.javax.ejb jboss-%{apiname}-api_%{apiversion}_spec %{namedversion} JPP jboss-%{apiname}-api_%{apiversion}_spec
%add_to_maven_depmap %{apigroupid} %{apiartifactid} %{apiversion} JPP %{apiname}_%{apiversionu}_api

# javadoc
%if 0
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%endif
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# javadoc alternatives
/bin/touch %{buildroot}%{_javadocdir}/%{apiname}_%{apiversionu}_api
/bin/touch %{buildroot}%{_javadocdir}/%{apiname}_api
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_api.jar %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_%{apiversionu}_api.jar %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_datadir}/maven2/poms/JPP-%{apiname}_api.pom %{apiname}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_datadir}/maven2/poms/JPP-%{apiname}_%{apiversionu}_api.pom %{apiname}_%{apiversionu}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_pom %{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
fi

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}-sources.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-sources.jar
%ghost %{_javadir}*/%{apiname}_%{apiversionu}_api.jar
%ghost %{_javadir}*/%{apiname}_api.jar
%{_datadir}/maven2/poms/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%ghost %{_datadir}/maven2/poms/JPP-%{apiname}_%{apiversionu}_api.pom
%ghost %{_datadir}/maven2/poms/JPP-%{apiname}_api.pom
%{_mavendepmapfragdir}/%{name}

%if 0
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%ghost %{_javadocdir}/%{apiname}_api
%ghost %{_javadocdir}/%{apiname}_%{apiversionu}_api
%endif

%changelog
* Mon Dec 08 2014 Yong Yang <yyang@redhat.com> - 1.0.2-11.Final_redhat_3.1
- Rebuild wrapper

* Mon Dec 08 2014 Yong Yang <yyang@redhat.com> - 1.0.2-11.Final_redhat_3.1
- Rebuild wrapper

* Mon Dec 08 2014 Yong Yang <yyang@redhat.com> - 1.0.2-11.Final_redhat_3.1
- Rebuild for 6.4

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-10.Final_redhat_2
- Rebuild for MD5

* Fri Aug 17 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.2-9.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-8.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-8.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-8.Final_redhat_1
- Remove javadoc.jar from the main package

* Wed May 02 2012 Lin Gao <lgao@redhat.com> 0:1.0.2-7.Final_redhat_1
- Rebuild

* Fri Apr 20 2012 Lin Gao <lgao@redhat.com> 0:1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final
- Remove Requires: jboss-specs-parent

* Fri Mar 23 2012 Permaine Cheung <pcheung@redhat.com> 0:1.0.1-5.Final_redhat_1.2
- Fix JPP pom name

* Thu Mar 22 2012 Permaine Cheung <pcheung@redhat.com> 0:1.0.1-5.Final_redhat_1
- New wrapper and fix install path, release tag
- Remove define that prevented java-signed on el6

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> 0:1.0.1-4_redhat_1.1
- switch to rhpkg build
- re vman for pom patch
- rebuild for new sign key

* Wed Feb 08 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.1-3_redhat_1.1
- Adjust the run-time dependencies

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> 0:1.0.1-3_redhat_1
- Fix depmap groupId

* Thu Sep 01 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:1.0.1-2_redhat_1
- Fixed pom version back

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:1.0.1-1_redhat_1
- Patched by vman

* Fri Jul 29 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:1.0.1-1
- Adapt for EAP 6
- no repolib when building with MEAD

* Mon Jun 20 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:1.0.1-1
- Upgrade to 1.0.1

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
